using System;
using System.Linq;

namespace zzadatak3
{
    class Program
    {
        static void Main(string[] args)
        {
            int n= int.Parse(Console.ReadLine());
            string natpis = Console.ReadLine();
            int br = 0;
            double proizvod = 1;
            char p = natpis[0];
            char ts = natpis[0];
            string ps = "";

            for (int i = 0; i < n; i++)
            {
               ts = natpis[i];

                if (ps.Count(x => x == ts) == 0)
                {
                    if (ts == p)
                    {
                        br++;
                        p = ts;

                        if (i + 1 == n)
                        {
                           ps += p;

                            p = ts;

                            proizvod *= br;

                            br = 1;
                        }
                    }
                    else
                    {
                       ps += p;

                        p = ts;

                        proizvod *= br;

                        br = 1;
                    }
                }
            }

            Console.WriteLine((proizvod % 1000000007));
        }
    }
    }